%define upstream_name    Math-Random-ISAAC-XS
%define upstream_version 1.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 25

Summary:    C implementation of the ISAAC PRNG algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Math::Random::ISAAC)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
See the Math::Random::ISAAC manpage for the full description.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml examples
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.4.0-25.mga10
+ Revision: 2225731
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 1.4.0-24.mga10
+ Revision: 2087771
- Rebuild against new perl

* Sun Nov 26 2023 tv <tv> 1.4.0-23.mga10
+ Revision: 2009915
- Rebuild for perl-5.38

* Thu Aug 04 2022 tv <tv> 1.4.0-22.mga9
+ Revision: 1875101
- Rebuild for perl-5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.4.0-21.mga9
+ Revision: 1795310
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 1.4.0-20.mga8
+ Revision: 1606990
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 1.4.0-19.mga8
+ Revision: 1508376
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.4.0-18.mga7
+ Revision: 1293458
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.4.0-17.mga7
+ Revision: 1249563
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.4.0-16.mga7
+ Revision: 1165428
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.4.0-15.mga7
+ Revision: 1149854
- Rebuild for perl ABI changes

* Thu Aug 17 2017 neoclust <neoclust> 1.4.0-14.mga7
+ Revision: 1141277
- Rebuild against perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.4.0-13.mga6
+ Revision: 1029774
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.4.0-12.mga6
+ Revision: 957751
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.4.0-11.mga6
+ Revision: 842681
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-10.mga5
+ Revision: 745140
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.4.0-9.mga5
+ Revision: 735692
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-8.mga5
+ Revision: 685377
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.4.0-7.mga5
+ Revision: 631451
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.4.0-6.mga4
+ Revision: 524416
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.4.0-5.mga4
+ Revision: 430893
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4.0-4.mga3
+ Revision: 369665
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.4.0-3.mga3
+ Revision: 250948
- rebuild for perl 5.16

* Tue Apr 03 2012 pterjan <pterjan> 1.4.0-2.mga2
+ Revision: 228031
- Rebuild due to missing x86_64 package
+ jquelin <jquelin>
- adding missing buildrequires:
- imported package perl-Math-Random-ISAAC-XS


* Sat Aug 13 2011 cpan2dist 1.004-1mga
- initial mageia release, generated with cpan2dist
